Bug 54174 - estonian keyboard don't work in console
Summary: estonian keyboard don't work in console
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: console-tools (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-30 11:42 UTC by Alar Suija
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 20:35:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alar Suija 2001-09-30 11:42:51 UTC
Description of Problem:

estonian keyboard layout do not works in console 

Version-Release number of selected component (if applicable):

console-tools-19990829-34

How Reproducible:

allways

Steps to Reproduce:

1.  select estonian keyboard layout
2.  reboot (or run /etc/init/keytable)

Actual Results:

system switch to US keyboard

Expected Results:


Additional Information:
	
quick fix is comment out line 'altgr keycode  18 = currency'
in file /lib/kbd/keymaps/i386/include/euro.inc.gz


# Euro and cent
# [Say: "loadkeys euro" to get Euro and cent with Alt on the positions
#  where many keyboards have E and C.
#  To get it displayed, use a latin0 (i.e., latin9) font.]
#altgr keycode  18 = currency
# Unfortunately, latin2 and latin3 don't know the cent character.
# altgr keycode  46 = cent

Comment 1 Eido Inoue 2004-08-23 20:35:44 UTC
estonian and other utf-8 multibyte input methods on the console are
currently not supported.


Note You need to log in before you can comment on or make changes to this bug.